std::complex< _Tp >(3cxx)

NAME
std::complex< _Tp >

SYNOPSIS

  Public Types

typedef _Tp value_type
Value typedef.

  Public Member Functions

constexpr complex (const _Tp &__r=_Tp(), const _Tp &__i=_Tp())
Default constructor. First parameter is x, second parameter is y. Unspecified parameters default to 0.
constexpr complex (const complex &)=default
template<typename _Up > constexpr complex (const complex< _Up > &__z)
Converting constructor.
constexpr complex __rep () const
constexpr _GLIBCXX_ABI_TAG_CXX11 _Tp imag () const
constexpr void imag (_Tp __val)
constexpr complex< _Tp > & operator*= (const _Tp &)
Multiply this complex number by a scalar.
template<typename _Up > constexpr complex< _Tp > & operator*= (const complex< _Up > &)
Multiply this complex number by another.
constexpr complex< _Tp > & operator+= (const _Tp &__t)
Add a scalar to this complex number.
template<typename _Up > constexpr complex< _Tp > & operator+= (const complex< _Up > &)
Add another complex number to this one.
constexpr complex< _Tp > & operator-= (const _Tp &__t)
Subtract a scalar from this complex number.
template<typename _Up > constexpr complex< _Tp > & operator-= (const complex< _Up > &)
Subtract another complex number from this one.
constexpr complex< _Tp > & operator/= (const _Tp &)
Divide this complex number by a scalar.
template<typename _Up > constexpr complex< _Tp > & operator/= (const complex< _Up > &)
Divide this complex number by another.
constexpr complex< _Tp > & operator= (const _Tp &)
Assign a scalar to this complex number.
constexpr complex & operator= (const complex &)=default
template<typename _Up > constexpr complex< _Tp > & operator= (const complex< _Up > &)
Assign another complex number to this one.
constexpr _GLIBCXX_ABI_TAG_CXX11 _Tp real () const
constexpr void real (_Tp __val)

Detailed Description

  template<typename _Tp>
class std::complex< _Tp >" Template to represent complex numbers.

Specializations for float, double, and long double are part of the library. Results with any other type are not guaranteed.

Parameters
    Tp Type of real and imaginary values.

Member Typedef Documentation

  template<typename _Tp > typedef _Tp std::complex< _Tp >::value_type

Value typedef.

Constructor & Destructor Documentation

  template<typename _Tp > constexpr std::complex< _Tp >::complex (const _Tp & __r = _Tp(), const _Tp & __i = _Tp()) [inline], [constexpr]

Default constructor. First parameter is x, second parameter is y. Unspecified parameters default to 0.

  template<typename _Tp > template<typename _Up > constexpr std::complex< _Tp >::complex (const complex< _Up > & __z) [inline], [constexpr]

Converting constructor.

Member Function Documentation

  template<typename _Tp > constexpr complex<_Tp>& std::complex< _Tp >::operator+= (const _Tp & __t) [inline], [constexpr]

Add a scalar to this complex number.

  template<typename _Tp > constexpr complex<_Tp>& std::complex< _Tp >::operator-= (const _Tp & __t) [inline], [constexpr]

Subtract a scalar from this complex number.

Author

Generated automatically by Doxygen for libstdc++ from the source code.